Логотип сайта поддержки пользователей САПРО сайте поддержки пользователей САПР Translate to:

Поворот выбранных текстовых объектов под определенным углом

Назад к списку функций
;;; rotate selected text objects to specified angle

(defun c:txtrot (/ sset i ed ang)
  (if (setq sset (ssget '((-4 . "")
                         )
                 )
      )
    (progn
      (setq ang (getangle "Укажите угол вращения <0>: "))
      (if (null ang)
        (setq ang 0)
      )
      (repeat (setq i (sslength sset))
        (setq ed (entget (ssname sset (setq i (1- i)))))
        (entmod (subst (cons 50 ang)
                       (assoc 50 ed)
                       ed
                )
        )
      )
    )
  )
  (princ)
)



Copyright © Сайт поддержки пользователей САПР by Victor Tkachenko